package com.yeejoin.amos.patrol.business.param;

public class InputItemParam {

	private long id;

	private long catalogId;
	private Object dataJson;
	private String defaultValue;
	private String inputJson;
	private String isMultiline;
	private String isMust;
	private String isScore;
	private String itemType;
	private String name;
	private int orderNo;
	private String orgCode;
	private Object pictureJson;
	private String remark;
	private String level;
	private String itemNo;
	private String riskDesc;
	private String inputClassify;
	private String checkMethod;
	private String unit;


	private Integer okScore;
	private Integer noScore;
	private String checkType;

	private Integer validUp;
	private Integer validDown;
	private Integer okUp;
	private Integer okDown;
	private String checkValidUp;
	private String checkValidDown;
	private String checkOkUp;
	private String checkOkDown;
	private Integer precision;


	public Integer getValidUp() {
		return validUp;
	}

	public void setValidUp(Integer validUp) {
		this.validUp = validUp;
	}

	public Integer getValidDown() {
		return validDown;
	}

	public void setValidDown(Integer validDown) {
		this.validDown = validDown;
	}

	public Integer getOkUp() {
		return okUp;
	}

	public void setOkUp(Integer okUp) {
		this.okUp = okUp;
	}

	public Integer getOkDown() {
		return okDown;
	}

	public void setOkDown(Integer okDown) {
		this.okDown = okDown;
	}

	public String getCheckValidUp() {
		return checkValidUp;
	}

	public void setCheckValidUp(String checkValidUp) {
		this.checkValidUp = checkValidUp;
	}

	public String getCheckValidDown() {
		return checkValidDown;
	}

	public void setCheckValidDown(String checkValidDown) {
		this.checkValidDown = checkValidDown;
	}

	public String getCheckOkUp() {
		return checkOkUp;
	}

	public void setCheckOkUp(String checkOkUp) {
		this.checkOkUp = checkOkUp;
	}

	public String getCheckOkDown() {
		return checkOkDown;
	}

	public void setCheckOkDown(String checkOkDown) {
		this.checkOkDown = checkOkDown;
	}

	public Integer getPrecision() {
		return precision;
	}

	public void setPrecision(Integer precision) {
		this.precision = precision;
	}

	public Integer getOkScore() {
		return okScore;
	}

	public void setOkScore(Integer okScore) {
		this.okScore = okScore;
	}

	public Integer getNoScore() {
		return noScore;
	}

	public void setNoScore(Integer noScore) {
		this.noScore = noScore;
	}

	public String getCheckType() {
		return checkType;
	}

	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}

	/**
	 * 新加字段
	 *
	 * */
	//单位code
	private String bizOrgCode;
	//单位名称
	private String bizOrgName;

	public String getBizOrgCode() {
		return bizOrgCode;
	}

	public void setBizOrgCode(String bizOrgCode) {
		this.bizOrgCode = bizOrgCode;
	}

	public String getBizOrgName() {
		return bizOrgName;
	}

	public void setBizOrgName(String bizOrgName) {
		this.bizOrgName = bizOrgName;
	}

	public String getEquipmentType() {
		return equipmentType;
	}

	public void setEquipmentType(String equipmentType) {
		this.equipmentType = equipmentType;
	}

	public String getFacilitiesType() {
		return facilitiesType;
	}

	public void setFacilitiesType(String facilitiesType) {
		this.facilitiesType = facilitiesType;
	}

	public String getKeyPartsType() {
		return keyPartsType;
	}

	public void setKeyPartsType(String keyPartsType) {
		this.keyPartsType = keyPartsType;
	}

	//消防装备类型
	private String equipmentType;
	//消防设施类型、
	private String facilitiesType;
	// 重点类型
	private String keyPartsType;
	//自定义类型
	private String customType;

	public String getCustomType() {
		return customType;
	}

	public void setCustomType(String customType) {
		this.customType = customType;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getCheckMethod() {
		return checkMethod;
	}

	public void setCheckMethod(String checkMethod) {
		this.checkMethod = checkMethod;
	}

	public String getInputClassify() {
		return inputClassify;
	}

	public void setInputClassify(String inputClassify) {
		this.inputClassify = inputClassify;
	}

	public String getItemNo() {
		return itemNo;
	}
	public void setItemNo(String itemNo) {
		this.itemNo = itemNo;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public long getCatalogId() {
		return catalogId;
	}
	public void setCatalogId(long catalogId) {
		this.catalogId = catalogId;
	}
	public Object getDataJson() {
		return dataJson;
	}
	public void setDataJson(Object dataJson) {
		this.dataJson = dataJson;
	}
	public String getDefaultValue() {
		return defaultValue;
	}
	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}
	public String getInputJson() {
		return inputJson;
	}
	public void setInputJson(String inputJson) {
		this.inputJson = inputJson;
	}
	public String getIsMultiline() {
		return isMultiline;
	}
	public void setIsMultiline(String isMultiline) {
		this.isMultiline = isMultiline;
	}
	public String getIsMust() {
		return isMust;
	}
	public void setIsMust(String isMust) {
		this.isMust = isMust;
	}
	public String getIsScore() {
		return isScore;
	}
	public void setIsScore(String isScore) {
		this.isScore = isScore;
	}
	public String getItemType() {
		return itemType;
	}
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(int orderNo) {
		this.orderNo = orderNo;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public Object getPictureJson() {
		return pictureJson;
	}
	public void setPictureJson(Object pictureJson) {
		this.pictureJson = pictureJson;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public InputItemParam() {
		super();
	}
	public String getRiskDesc() {
		return riskDesc;
	}
	public void setRiskDesc(String riskDesc) {
		this.riskDesc = riskDesc;
	}


}
